Package org.eclipse.emf.cdo.common.id

# Enum Class CDOID.ObjectType

java.lang.Object
java.lang.Enum<CDOID.ObjectType>
org.eclipse.emf.cdo.common.id.CDOID.ObjectType

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOID.ObjectType>`, `Constable`

Enclosing interface:
  CDOID

public static enum CDOID.ObjectType extends Enum<CDOID.ObjectType>
Enumerates the possible sub types of CDO `IDs` with the main type `OBJECT`.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LONG`
`LONG_WITH_CLASSIFIER`
`STRING`
`STRING_WITH_CLASSIFIER`
`UUID`

## Method Summary

Modifier and Type
Method
Description
`char`
`getID()`
`static CDOID.ObjectType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOID.ObjectType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LONG

public static final CDOID.ObjectType LONG

### STRING

public static final CDOID.ObjectType STRING

### LONG_WITH_CLASSIFIER

public static final CDOID.ObjectType LONG_WITH_CLASSIFIER

### STRING_WITH_CLASSIFIER

public static final CDOID.ObjectType STRING_WITH_CLASSIFIER

### UUID

public static final CDOID.ObjectType UUID

## Method Details

### values

public static CDOID.ObjectType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOID.ObjectType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getID

public char getID()

Since:
  4.0